package log

import (
	"github.com/gin-gonic/gin"
	v1 "log-server/api/v1"
)

type CodingLogRouter struct {
}

func (e *LogingRouter) InitCodingLogRouter(Router *gin.RouterGroup) {
	excelRouter := Router.Group("logCoding")
	logApi := v1.ApiGroupApp.LogApiGroup.ApiLogCoding
	{
		excelRouter.POST("create", logApi.CreateCoding)     // 添加日志编号
		excelRouter.POST("getCodeList", logApi.GetCodeList) // 列表
		excelRouter.POST("getCodeById", logApi.GetCodeById) // 单条记录
		excelRouter.POST("update", logApi.UpdateCoding)
	}
}
